version: '3.1'
services:
  node:
    build: .
    volumes: 
      - ./logs:/app/logs
      - ./.cache:/app/.cache
    environment:
      - VERBOSE_VAL=true
      - DRYRUN=true
    secrets:
      - api-token
  gitlab:
    container_name: gitlab
    image: 'gitlab/gitlab-ee:16.8.2-ee.0'
    restart: always
    environment:
      VIRTUAL_HOST: "gitlab.dev.docker"
      VIRTUAL_PORT: 443
      VIRTUAL_PROTO: https
      CERT_NAME: dev.docker
      GITLAB_OMNIBUS_CONFIG: "external_url 'http://localhost/';"
    shm_size: '256m'
    ports:
      - 443:443
      - 80:80
      - 22:22
    volumes:
      - '/localdocker/gitlab/config:/etc/gitlab'
      - '/localdocker/gitlab/logs:/var/log/gitlab'
      - '/localdocker/gitlab/data:/var/opt/gitlab'

secrets:
  api-token:
    file: secret